routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Mail\MensagemReset;
use App\Http\Middleware\LogAcessoMiddleware;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(LogAcessoMiddleware::class)->get('/', 'PrincipalController@principal')->name('site.index');

Route::middleware(['auth', LogAcessoMiddleware::class])->prefix('/app')->group(function(){
    
    Route::resource('fornecedor', 'FornecedorController');
    Route::resource('ordenador', 'OrdenadorController');
    Route::resource('empenho', 'EmpenhoController');    
    Route::post('mcc/mostraMccs/', 'MccController@mostraMccs')->name('mostraMccs');
    Route::post('mcc/get_mcc/', 'MccController@getMcc')->name('get-mcc');        
    Route::resource('mcc', 'MccController');    
    Route::post('import-empenho', 'ImportEmpenhoController@import')->name('importEmpenho');
    Route::post('import-mcc', 'ImportMccController@import')->name('importMcc');
    Route::resource('setor', 'SetorController');
    Route::resource('uf', 'UFController');
    Route::resource('tipo', 'TipoLogradouroController');
    Route::resource('logradouro', 'LogradouroController');
    Route::resource('contrato', 'ContratoController');
    Route::resource('pessoa', 'TipoPessoaController');
    Route::resource('espelhamento', 'EspelhamentoController');   
    Route::resource('prepara_espelhamento', 'PreparaEspelhamentoController');    
    Route::get('ido/teste/', 'IdoController@teste')->name('teste');
    Route::resource('ido', 'IdoController');                                  
    Route::resource('lancamento_ido', 'LancamentoIdoController');                   
    Route::resource('natureza_despesa', 'NaturezaDespesasController');                     
    Route::resource('item_despesa', 'ItemNatdespesasController');                   
    Route::post('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::get('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::post('imprimir_protocolo', 'ImprimirEmpenhoController@imprimir_protocolo')->name('imprimir_protocolo');
    Route::post('lancamento_unico', 'ImprimirEmpenhoController@lancamento_unico')->name('lancamento_unico');
    Route::resource('recurso_sicom', 'RecursoSicomController');
    Route::resource('modalidade', 'ModalidadeController');
    Route::get('origem-destino/getUsuario/{usuario}', 'OrigemDestinoController@getUsuario');    
    Route::resource('origem-destino', 'OrigemDestinoController');
    
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/mensagem-reset', function() {
	return new MensagemReset();

});

Route::get('/online-user', 'UserController@index')->name('online_user');

app/NaturezaDespesas.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class NaturezaDespesas extends Model
{
    //
    protected $fillable = ['codigo_natureza', 'nome_natureza', 'escrituracao', 'ementa'];
}

app/Http/Controllers/NaturezaDespesasController.php
<?php

namespace App\Http\Controllers;

use App\NaturezaDespesas;
use Illuminate\Http\Request;

class NaturezaDespesasController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $naturezas = NaturezaDespesas::all();
        return view('app.natureza_despesa.index', ['naturezas' => $naturezas]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('app.natureza_despesa.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        NaturezaDespesas::create($request->all());
        return redirect()->route('natureza_despesa.index');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\NaturezaDespesas  $naturezaDespesas
     * @return \Illuminate\Http\Response
     */
    public function show(NaturezaDespesas $naturezaDespesas)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\NaturezaDespesas  $naturezaDespesas
     * @return \Illuminate\Http\Response
     */
    public function edit(NaturezaDespesas $naturezaDespesas)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\NaturezaDespesas  $naturezaDespesas
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, NaturezaDespesas $naturezaDespesas)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\NaturezaDespesas  $naturezaDespesas
     * @return \Illuminate\Http\Response
     */
    public function destroy(NaturezaDespesas $naturezaDespesas)
    {
        //
    }

}

resources/views/app/natureza_despesa/create.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Natureza Despesas')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="text-header fw-bold texto-preto header alinhar-titulo">NATUREZA DESPESAS - Adicionar</h1>                            
    </div>    

    <div class="conteudo-pagina-2">        
        
        <div class="container texto-container" style="padding-top:10px;">
        
        <form method="post" action="{{ route('natureza_despesa.store') }}" style="padding-top:10px;" class="row gy-2 gx-3 align-items-center cor-container">            
            
            @csrf

                <div class="col-md-2">
                    <label for="inputCodigoNatureza" class="form-label">CÓDIGO NATUREZA</label> 
                    <input type="text" name="codigo_natureza" value="{{ old('codigo_natureza') }}" class="form-control">
                    {{ $errors->has('codigo_natureza') ? $errors->first('codigo_natureza') : '' }}
                </div>

                <div class="col-md-5">  
                    <label for="inputNome" class="form-label">NOME DA NATUREZA</label>   
                    <input type="text" name="nome_natureza" value="{{ old('nome_natureza') }}" class="form-control">
                    {{ $errors->has('nome_natureza') ? $errors->first('nome_natureza') : '' }}
                </div> 
                
                <div class="col-md-3">  
                    <label for="inputEscrituracao" class="form-label">ESCRITURAÇÃO</label>                      
                    <select name="escrituracao" class="form-select texto-caixa-alta">
                        <option selected>Existe Escrituracao ?</option>                                                                                                      
	                            <option value="SIM">SIM</option>
	                            <option value="NÃO">NÃO</option>
                    </select>
                    {{ $errors->has('escrituracao') ? $errors->first('escrituracao') : '' }}
                </div>  

                <div class="row">
                    <label for="inputEmenta" class="form-label">EMENTA</label>                       
                    <textarea name="ementa" name="ementa" class="form-control">{{ old('ementa') }}</textarea>
                    {{ $errors->has('ementa') ? $errors->first('ementa') : '' }}
                </div>

                <div class="col-md-2">                    
                    <button type="submit" class="form-control btn-success" style="color:#fff;">CADASTRAR</button>
                </div>                    

            </form>
            </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/natureza_despesa/index.blade.php
@extends('site.layouts.basico')

@section('titulo', 'Natureza Despesas')

@section('conteudo')

    <body>

        @include('site.layouts._partials.topo')
        <div class="container-fluid py-5">
            <h1 class="texto-header fw-bold texto-preto header">Natureza Despesas /Listar</h1>
        </div>

        <div class="conteudo-pagina alinhar_cabecalho">

            <div class="container-fluid">
                <table class="table table-dark table-striped table-hover" id="dataTable">
                    <thead>
                        <tr>
                            <th class="texto-caixa-alta">CÓDIGO NATUREZA</th>
                            <th class="texto-caixa-alta">NOME NATUREZA</th>
                            <th class="texto-caixa-alta">ESCRITURAÇÃO</th>
                            <th class="texto-caixa-alta">EMENTA</th>                            
                            <th></th>
                            <th></th>                            
                            <th></th>                            
                            
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            @foreach ($naturezas as $natureza)
                                <td>{{ $natureza->codigo_natureza }} </td>                            
                                <td>{{ $natureza->nome_natureza }} </td>                            
                                <td>{{ $natureza->escrituracao }} </td>                            
                                <td>{{ strlen($natureza->ementa) < 30 ? $natureza->ementa : mb_strimwidth($natureza->ementa, 0, 75, "...") }} </td>
                                <td>
                                    <a 
                                        href="#" class="btn btn-sm btn-info" style="color: #fff !important;"><i class="fas fa-edit" style="color:#000;"></i> EDITAR
                                    </a>
                                </td>
                                <td>
                                    <a 
                                        href="#" class="btn btn-sm btn-danger" style="color: #fff !important;"><i class="fas fa-trash-alt" style="color:#000;"></i> EXCLUIR
                                    </a>
                                </td>              
                                <td>
                                    <form class="form_editar-2" id="form_{{ $natureza->id }}" method="GET" action="{{ route('item_despesa.create') }}">
                                        @csrf
                                        <input name="_method" type="hidden" value="{{ $natureza->id }}" id="nome" data-value="natureza">                                          
                                        <a 
                                            href="javascript.void(0)" class="btn btn-sm btn-success enviar" style="color: #fff !important;"><i class="fas fa-plus-circle" style="color:#000;"></i> ADICIONAR ITEM DESPESA
                                        </a>                                        
                                    </form>    
                                </td>
                        </tr>
                        @endforeach

                    </tbody>
                </table>

            </div>

        </div>

        </div>
        

    </body>

@endsection